<?php

namespace App\Entities\Consulta;

use App\Utils\Entity;

class Consulta extends Entity {
	protected $id;
	protected $adicionado_por;
	protected $alterado_por;
	protected $criado_em;
	protected $alterado_em;
	protected $id_agendamento;
	protected $id_formulario;
	protected $titulo;
	protected $descricao;

	public static function builder(): ConsultaBuilder {

		return new ConsultaBuilder();

	}

	public function getId(): int {

		return $this->id;

	}

	public function getAdicionadoPor(): ?int {

		return $this->adicionado_por;

	}

	public function getAlteradoPor(): ?int {

		return $this->alterado_por;

	}

	public function getCriadoEm(): ?string {

		return $this->criado_em;

	}

	public function getAlteradoEm(): ?string {

		return $this->alterado_em;

	}

	public function getIdAgendamento(): int {

		return $this->id_agendamento;

	}

	public function getTitulo(): string {

		return $this->titulo;

	}

	public function getDescricao(): string {

		return $this->descricao;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setAdicionadoPor(?int $adicionado_por): void {

		$this->adicionado_por = $adicionado_por;

	}

	public function setAlteradoPor(?int $alterado_por): void {

		$this->alterado_por = $alterado_por;

	}

	public function setCriadoEm(?string $criado_em): void {

		$this->criado_em = $criado_em;

	}

	public function setAlteradoEm(?string $alterado_em): void {

		$this->alterado_em = $alterado_em;

	}

	public function setIdAgendamento(int $id_agendamento): void {

		$this->id_agendamento = $id_agendamento;

	}

	public function setTitulo(string $titulo): void {

		$this->titulo = $titulo;

	}

	public function setDescricao(string $descricao): void {

		$this->descricao = $descricao;

	}

	public function getIdFormulario() {

		return $this->id_formulario;

	}

	public function setIdFormulario($id_formulario): void {

		$this->id_formulario = $id_formulario;

	}

}